Bug 873411 - SELinux is preventing /usr/bin/python2.7 from using the 'signal' accesses on a process.
Summary: SELinux is preventing /usr/bin/python2.7 from using the 'signal' accesses on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:09703d08a4704bbfc7d49f2f891...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-05 19:19 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:50:07 UTC


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-11-05 19:19 UTC, Jiri Moskovcak
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-11-05 19:19 UTC, Jiri Moskovcak
no flags Details

Description Jiri Moskovcak 2012-11-05 19:19:49 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed signal access on processes labeled blueman_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Objects                 [ process ]
Source                        blueman-mechani
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.3-13.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-46.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.6.5-2.fc18.x86_64 #1 SMP Thu Nov
                              1 00:39:17 UTC 2012 x86_64 x86_64
Alert Count                   6
First Seen                    2012-11-04 22:53:36 CET
Last Seen                     2012-11-05 20:18:40 CET
Local ID                      093515df-95bd-467f-9813-1090f86115af

Raw Audit Messages
type=AVC msg=audit(1352143120.388:342): avc:  denied  { signal } for  pid=2093 comm="blueman-mechani" scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1352143120.388:342): arch=x86_64 syscall=tgkill success=yes exit=0 a0=82d a1=82d a2=22 a3=7fff2e67b837 items=0 ppid=1 pid=2093 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)

Hash: blueman-mechani,blueman_t,blueman_t,process,signal

audit2allow

#============= blueman_t ==============
allow blueman_t self:process signal;

audit2allow -R

#============= blueman_t ==============
allow blueman_t self:process signal;



Additional info:
libreport_version: 2.0.18.3.gf40e.dirty
kernel:         3.6.5-2.fc18.x86_64

Comment 1 Jiri Moskovcak 2012-11-05 19:19:56 UTC
Created attachment 638875 [details]
File: type

Comment 2 Jiri Moskovcak 2012-11-05 19:19:58 UTC
Created attachment 638876 [details]
File: hashmarkername

Comment 3 Daniel Walsh 2012-11-05 20:29:23 UTC
Fixed in selinux-policy-3.11.1-50.fc18.noarch

Comment 4 Fedora Update System 2012-11-05 21:08:02 UTC
selinux-policy-3.11.1-50.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-50.fc18

Comment 5 Jiri Moskovcak 2012-11-06 18:06:14 UTC
SELinux is preventing /usr/bin/python2.7 from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed signal access on processes labeled blueman_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Objects                 [ process ]
Source                        blueman-mechani
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.3-13.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-46.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.6.5-2.fc18.x86_64 #1 SMP Thu Nov
                              1 00:39:17 UTC 2012 x86_64 x86_64
Alert Count                   1
First Seen                    2012-11-06 17:47:22 CET
Last Seen                     2012-11-06 17:47:22 CET
Local ID                      b8133a9c-9853-4a28-95e6-451aa810246d

Raw Audit Messages
type=AVC msg=audit(1352220442.903:341): avc:  denied  { signal } for  pid=2108 comm="blueman-mechani" scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1352220442.903:341): arch=x86_64 syscall=tgkill success=yes exit=0 a0=83c a1=83c a2=22 a3=7fff71452537 items=0 ppid=1 pid=2108 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)

Hash: blueman-mechani,blueman_t,blueman_t,process,signal

audit2allow

#============= blueman_t ==============
allow blueman_t self:process signal;

audit2allow -R

#============= blueman_t ==============
allow blueman_t self:process signal;



Package: (null)
OS Release: Fedora release 18 (Spherical Cow)

Comment 6 Jiri Moskovcak 2012-11-06 18:08:04 UTC
Oops a glitch in ABRT, please ignore the latest comments from me.

Comment 7 Fedora Update System 2012-11-06 18:56:37 UTC
Package selinux-policy-3.11.1-50.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-50.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17705/selinux-policy-3.11.1-50.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-20 15:50:08 UTC
selinux-policy-3.11.1-50.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.